﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SimpleListView_MAUI
{
    internal class ViewModel
    {
		private ObservableCollection<Model> _list;

		public ObservableCollection<Model> List
		{
			get { return _list; }
			set { _list = value; }
		}

		public ViewModel()
		{
			_list = new ObservableCollection<Model>();
			AddItems(40);
		}

		internal void AddItems(int number)
		{
			var ran = new Random();

			for (int i = 0; i < number; i++)
			{
				var item = new Model() { Name = "Item " + i, GroupName = groups[ran.Next(0,3)] };

				_list.Add(item);
			}
		}

		string[] groups = new string[]
		{
			"A",
			"B",
			"C",
		};
	}
}
